<?php

namespace MintyPHP\Repository\Access;

interface UserRoleRepositoryInterface
{
    public function listRoleIdsByUserId(int $userId): array;

    public function replaceForUser(int $userId, array $roleIds): bool;

    public function listUserIdsByRoleIds(array $roleIds): array;

    public function countUsersByRoleIds(array $roleIds): array;

    public function countActiveUsersByRoleIds(array $roleIds): array;
}
